{ pkgs ? import <nixpkgs> { } }:

pkgs.nimPackages.callPackage ({ lib, buildNimPackage, fetchFromGitHub }:

  buildNimPackage rec {
    pname = "NimSvg";
    version = "unstable-2021-06-10";

    src = fetchFromGitHub { # https://github.com/bluenote10/NimSvg
      owner = "bluenote10";
      repo = pname;
      rev = "89e7b31a1937524451fdf57f3e851f293385e8ca";
      hash = "sha256-U+8UbQvos4ycJUDatGHHeCr/7vX6llVTkDJ7I/9cdAA=";
    };

    doCheck = true;

  }) { }
